#include <assert.h>
#include <stdlib.h>
#include "libasm.h"
#include <string.h>
#include <fcntl.h>

int main(void) {
	char *str = ft_strdup("abcdefghi\n");
	char *str2 = ft_strdup("a34\n");
	assert(strcmp(str, "abcdefghi\n") == 0);
	assert(ft_strcmp(str, str2) == 47);
	assert(strlen(str) == ft_strlen(str));
	assert(strlen(str2) == ft_strlen(str2));
	char *str3 = malloc(sizeof(char) * (1 + ft_strlen(str2)));
	ft_strcpy(str3, str2);
	assert(strcmp(str3, str2) == 0);
	assert(ft_strcmp(str3, str2) == strcmp(str3, str2));
	free(str);
	ft_write(1, str2, ft_strlen(str2));
	free(str2);
	free(str3);
	int fd = open("Makefile", O_RDONLY);
	if (fd != -1) {
		char *buf = malloc(128 * sizeof(char));
		int ret = ft_read(fd, buf, 128);
		ft_write(1, buf, ret);
		ft_write(1, "\n", 1);
		close(fd);
		free(buf);
	}
	return 0;
}

